Package com.castlabs.android.drm

# Class DrmInitDataContainer

java.lang.Object
com.castlabs.android.drm.DrmInitDataContainer

public class DrmInitDataContainer extends Object
Container for DRM initialization data for video and audio tracks.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final com.google.android.exoplayer2.drm.DrmInitData`
  `audioDrmInitData`
  DRM initialization data for the audio track.
  `final com.google.android.exoplayer2.drm.DrmInitData`
  `videoDrmInitData`
  DRM initialization data for the video track.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrmInitDataContainer(com.google.android.exoplayer2.drm.DrmInitData videoDrmInitData, com.google.android.exoplayer2.drm.DrmInitData audioDrmInitData)`
  Creates a new DrmInitDataContainer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAudio()`
  Returns true if there is DRM initialization data for the audio track.
  `boolean`
  `isVideo()`
  Returns true if there is DRM initialization data for the video track.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### videoDrmInitData

    @Nullable public final com.google.android.exoplayer2.drm.DrmInitData videoDrmInitData
    DRM initialization data for the video track.

  - ### audioDrmInitData

    @Nullable public final com.google.android.exoplayer2.drm.DrmInitData audioDrmInitData
    DRM initialization data for the audio track.

- ## Constructor Details

  - ### DrmInitDataContainer

    public DrmInitDataContainer(@Nullable com.google.android.exoplayer2.drm.DrmInitData videoDrmInitData, @Nullable com.google.android.exoplayer2.drm.DrmInitData audioDrmInitData)
    Creates a new DrmInitDataContainer.
    Parameters:
      `videoDrmInitData` - DRM initialization data for the video track.
      `audioDrmInitData` - DRM initialization data for the audio track.

- ## Method Details

  - ### isVideo

    public boolean isVideo()
    Returns true if there is DRM initialization data for the video track.
    Returns:
      true if there is DRM initialization data for the video track.

  - ### isAudio

    public boolean isAudio()
    Returns true if there is DRM initialization data for the audio track.
    Returns:
      true if there is DRM initialization data for the audio track.